QuantLib: BespokeCalendar Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
BespokeCalendar Class Reference
Date and time calculations » Calendars

Bespoke calendar. More...

`#include <ql/time/calendars/bespokecalendar.hpp>`

Inheritance diagram for BespokeCalendar:
[legend]

## Public Member Functions
| BespokeCalendar (const std::string &name="")
void | addWeekend (Weekday)
| marks the passed day as part of the weekend
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members
Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Bespoke calendar.

This calendar has no predefined set of business days. Holidays and weekdays can be defined by means of the provided interface. Instances constructed by copying remain linked to the original one; adding a new holiday or weekday will affect all linked instances.

## Constructor & Destructor Documentation

## ◆ BespokeCalendar()

BespokeCalendar | ( | const std::string & | name = `""` | ) |

Warning:
  different bespoke calendars created with the same name (or different bespoke calendars created with no name) will compare as equal.